# Generated by Django 4.1.1 on 2022-12-19 10:52

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('tourism', '0038_alter_useruploadedfile_type'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='useruploadedfile',
            name='user',
        ),
        migrations.AddField(
            model_name='place',
            name='image_file',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='place_images', to='tourism.useruploadedfile', verbose_name='Картинка'),
        ),
        migrations.AddField(
            model_name='route',
            name='created_by',
            field=models.CharField(default='----', max_length=100, verbose_name='Кто добавил?'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='route',
            name='image_file',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='route_images', to='tourism.useruploadedfile', verbose_name='Картинка'),
        ),
        migrations.AddField(
            model_name='user',
            name='image_file',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='profile_images', to='tourism.useruploadedfile', verbose_name='Картинка'),
        ),
        migrations.AddField(
            model_name='useruploadedfile',
            name='created_by',
            field=models.CharField(default='----', max_length=100, verbose_name='Кто добавил?'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='organizer',
            name='individual_tax_number_original_file',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='individual_tax_number_original_files', to='tourism.useruploadedfile', verbose_name='Фото ИНН'),
        ),
        migrations.AlterField(
            model_name='organizer',
            name='passport_original_file',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='passport_original_files', to='tourism.useruploadedfile', verbose_name='Фото паспорта'),
        ),
    ]
